# Supported Verification Types

Jomo already has a list of supported verification types that anyone can use. Talk to us if the verification you want to support is not listed!

### Aggregate onchain public data

#### Verification Method

Connect wallet

#### Verification Types

<table><thead><tr><th width="179">Verification Type</th><th width="128">Name</th><th width="278">Description</th><th>Additional Fields</th></tr></thead><tbody><tr><td>cryptopunks_sum_gte_1</td><td>PunkHolder</td><td>Holds at least 1 CryptoPunk</td><td></td></tr><tr><td>cryptopunks_sum_gte_3</td><td>PunkWhale</td><td>Holds at least 3 CryptoPunks across at most 3 wallets</td><td></td></tr><tr><td>bayc_sum_gte_1</td><td>BAYCHolder</td><td>Holds at least 1 BAYC</td><td></td></tr><tr><td>bayc_sum_gte_3</td><td>BAYCWhale</td><td>Holds at least 3 BAYCs across at most 3 wallets</td><td></td></tr><tr><td>mayc_sum_gte_1</td><td>MAYCHolder</td><td>Holds at least 1 MAYC</td><td></td></tr><tr><td>mayc_sum_gte_3</td><td>MAYCWhale</td><td>Holds at least 3 MAYCs across at most 3 wallets</td><td></td></tr><tr><td>azuki_sum_gte_1</td><td>AzukiHolder</td><td>Holds at least 1 Azuki</td><td></td></tr><tr><td>azuki_sum_gte_3</td><td>AzukiWhale</td><td>Holds at least 3 Azukis across at most 3 wallets</td><td></td></tr><tr><td>station3_patron_sum_gte_1</td><td>Station3 Patron</td><td>Holds at least 1 Station 3 NFT</td><td></td></tr><tr><td>mfers_sum_gte_1</td><td>MfersHolder</td><td>Holds at least 1 Mfers</td><td></td></tr><tr><td>mfers_sum_gte_3</td><td>MfersLover</td><td>Holds at least 3 Mfers across at most 3 wallets</td><td></td></tr><tr><td>mfers_sum_gte_5</td><td>MfersWhale</td><td>Holds at least 5 Mfers across at most 3 wallets</td><td></td></tr><tr><td>eth_class_of_year</td><td>Crypto Class of Year</td><td>Proves the year of the earliest transaction the user made on Ethereum </td><td>class_of_year</td></tr><tr><td>member_of_powers_of_tau</td><td>Powers of Tau Ceremony Participant</td><td>Participated in Powers of Tau Ceremony</td><td></td></tr></tbody></table>

### Connect offchain private data

#### Verification Method

Log in to web2 accounts

#### Verification Types

<table><thead><tr><th width="151">Verification Type</th><th width="115">Name</th><th width="227">Description</th><th width="139">Fields</th><th>Websites</th></tr></thead><tbody><tr><td>us_brokerage_portfolio_movement</td><td>Stock Portfolio Movement</td><td>Generate a notarization of your portfolio movement percentage inside your brokerage account</td><td>brokerage_id<br>time_span<br>total_return</td><td>Robinhood</td></tr><tr><td>yearly_gross_income</td><td>Yearly Gross Income</td><td>Generate a proof of your gross income using your tax software account</td><td>tax_source<br>user_id<br>gross_income</td><td>TurboTax</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.jomo.id/build-with-jomo-connect/supported-verification-types.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
